To add Google Map, image gallery, and Youtube/Vimeo video as popup, please refer to the web-optimzed, pre-created syntax below:


## ADDING A GOOGLE MAP:

	a) To embed a Google Map, open config.php file and be sure BUSINESS_ADDRESS is correctly defined. 
	b) Open /js/main.js and uncomment gmaps declaration there
	c) You're done.  Your map should now magically appear on your page WITHOUT drastically affecting your page speed grade.
	d) You may need to relocate the Google Map wrapper as needed. Just open index.php and look for <div id="gmap"></div> and move it as needed.

## ADDING IMAGE GALLERY:

	a) To add image gallery clickable via popup, follow the following syntax:

		<div class="gallery">
			<a class="popup" href="http://placehold.it/900x600&text=Image1.jpg">
				<img width="400" height="200" src="http://placehold.it/400x200&text=Image1" alt="alt here" title="Relevant Title" />
			</a>
			<a class="popup" href="http://placehold.it/900x600&text=Image2.jpg">
				<img width="400" height="200" src="http://placehold.it/400x200&text=Image2" alt="here" title="Relevant Title" />
			</a>
		</div>

		It should transform into a gallery with lightbox support

## ADDING YOUTUBE VIDEO:


	a) To add YouTube video as popup, follow the following syntax:

		<a class="popup_youtube" href="http://www.youtube.com/watch?v=0O2aH4XLbto">
            <img width="1000" height="320" src="http://placehold.it/1000x700&text=YouTube" alt="" />
        </a>

        Be sure the class "popup_youtube" is present or else popup will fail

## ADDING VIMEO VIDEO:

	a) To add Vimeo video as popup, follow the following syntax:

		<a class="popup_vimeo" href="https://vimeo.com/45830194">
            <img width="1000" height="320" src="http://placehold.it/1000x700&text=Vimeo" alt="" />
        </a>

        Be sure the class "popup_vimeo" is present or else popup will fail

## ADDING GOOGLE REMARKETING CODE:

	a) To add Google Remarketing Code, just append it before </body> tag

## ADDING GOOGLE ANALYTICS CODE:

	a) To add Google Analytics Code, just open /js/tracking.js and replace the existing code. Be sure to omit the <script> tags.

## ADDING ADDITIONAL FOOTER SCRIPTS:

	a) To add another tracking or custom JS to be executed in footer, just open /js/other_footer_scripts.js and add your custom JS. Be sure to omit the <script> tags.


```
/------------ LANDING PAGE CHECKLIST ------------------/


******* Miscellaneous ****
1) Be sure you are using the updated scripts seen at /template-1/

******* Visuals and Functionality ****
1) Check page in IE8-11, Chrome, Firefox, Safari
2) Check page if mobile and tablet responsive
3) Check Google PageSpeed Insight's score.

******* Tags / SEO *****
1) Check if all media files embedded on the site have correct/sensible filenames, alt and title attributes. Clint usually provide these info for us.
2) Check if the site needs to be indexed or not. Landing Page creation request form has this indicated.
3) Check if meta tags and descriptions contains NO invalid character.

******* Email Notifications: *****

1) Check if ADMIN notificiation is correctly setup
	
	a) Main email recipient correct?
	b) Subject line correct?
	c) Be sure to make test enquiry and see if it works

2) Check if USER notification is correctly setup

	a) Main email recipient correct?
	b) Subject line correct?
	c) Be sure to make test enquiry and see if it works

***** GA & Tracking Codes *****

1) Update the GA code seen in /js/ga.js (without the script tags)

2) Update the Remarketing Code found in index.php

3) Update other footer scripts like heatmaps, etc.

***** Thank You URL *****

1) Inside /thank-you-email/ folder, you'll find thank-you.html. Rename that into {landing-page-name}-thank-you.html. In /email.php file, please find thank-you.html and rename it accordingly. Example: if your landing page is http://free-trial.domain.com.au/, then your thank you URL would be /free-trial-thank-you.html

***** Post-Live ****

1) Coordinate with Project Manager and confirm if the Goals is working properly
```