/* File Name: js/custom.js */
jQuery(document).ready(function($){
    
    var app = {
      
      init: function(){
        
        this.form_top_validation();
        this.generalTweaks();
        this.animate();

        
        if( $('div#gmap').length > 0 ){
          var t = this;
          setTimeout(function(){
            t.loadMap();
          }, 5000);
        }

        $("a.popup_youtube, a.popup_vimeo").magnificPopup({
              disableOn: 100,
              type: 'iframe',
              mainClass: 'mfp-fade',
              removalDelay: 160,
              preloader: false,
              fixedContentPos: false
        });

        

        if( $('.gallery').length > 0 ){
          this.gallery_init();
        }

        this.load_css();

      },

      animate: function(){
        if (/MSIE (\d+\.\d+);/.test(navigator.userAgent)) {
          var ieversion = new Number(RegExp.$1);
        }
        else{

          if( $(window).width() > 1024 ){
            $('.home-white p, .home-video p, img, h2, form, .home-bottom').addClass("_hidden").viewportChecker({
                classToAdd: 'visible animated fadeIn',
                offset: 100,
            });

            $('._fadeInDown').addClass("_hidden").viewportChecker({
                classToAdd: 'visible animated fadeInDown',
                offset: 100,
            });

            $('a.cta-button, ._fadeInUp').addClass("_hidden").viewportChecker({
                classToAdd: 'visible animated fadeInUp',
                offset: 100,
            });

            // $('.').addClass("_hidden").viewportChecker({
            //     classToAdd: 'visible animated slideInUp',
            //     offset: 100,
            // });

            // $('.home-top').addClass("_hidden").viewportChecker({
            //     classToAdd: 'visible animated slideInLeft',
            //     offset: 100,
            // });

            // $('.form-outer-wrap').addClass("_hidden").viewportChecker({
            //     classToAdd: 'visible animated slideInRight',
            //     offset: 100,
            // });
          }
          else{
            $('._hidden').removeClass('_hidden');
          }
        }
      },

      load_css: function(){

        asyncLoader(
          [
            'js/vendor/magnific-popup/magnific-popup.css',
            '//cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css'
          ],
          {
            'callback': function() {
                
            }
          }
        );

      },

      isNumber: function(n){
        return !isNaN(parseFloat(n)) && isFinite(n);
      },

      isValidEmailAddress: function(emailAddress){
        var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
        return pattern.test(emailAddress);
      },      

      form_top_validation: function(){

        $('input').inputPlaceholderPolyfill();
        $('textarea').inputPlaceholderPolyfill();

        if (/MSIE (\d+\.\d+);/.test(navigator.userAgent)) {
            var ieversion = new Number(RegExp.$1);
            if (ieversion>6) { $('body').addClass('ie'); }
            if (ieversion>=9) { $('body').addClass('ie9'); }
            else if (ieversion>=8) { $('body').addClass('ie8'); }
            else if (ieversion>=7) { $('body').addClass('ie7'); }
        }

        /** START: Contact Form Main Validation */
        $(".form-outer-wrap .form_wrapper form input.button").on("click", function() {

            var that = $(this),
                name = $("#txt_name").val(),
                email = $("#txt_email").val(),
                od_email = "",
                phone = $("#txt_phone").val(),
                postcode = $("#txt_postcode").val(),
                balance = $("#txt_balance").val(),
                interest = $("#txt_interest").val(),
                proceed = true;

            if ((name == "") || (name == $("#txt_name").attr("placeholder"))) {
                $("#txt_name").addClass("error");
                $("#txt_name").val("This field is required");
                proceed = false;
            }

            if ((email == "") || !app.isValidEmailAddress(email)) {
                od_email = $("#txt_email").val();
                $("#txt_email").addClass("error");
                $("#txt_email").val("Invalid email");
                proceed = false;
            }

            if ((phone == "") || (phone == $("#txt_phone").attr("placeholder"))) {
                $("#txt_phone").addClass("error");
                $("#txt_phone").val("This field is required");
                proceed = false;
            }

            if ((postcode == "") || (postcode == $("#txt_postcode").attr("placeholder"))) {
                $("#txt_postcode").addClass("error");
                $("#txt_postcode").val("This field is required");
                proceed = false;
            }

            if ((balance == "") || (balance == $("#txt_balance").attr("placeholder"))) {
                $("#txt_balance").addClass("error");
                $("#txt_balance").val("This field is required");
                proceed = false;
            }

            if ((interest == "") || (interest == $("#txt_interest").attr("placeholder"))) {
                $("#txt_interest").addClass("error");
                $("#txt_interest").val("This field is required");
                proceed = false;
            }
            
            if( !$('#txt_terms').is(':checked') ){
                alert('Be sure you have read and agree to the Terms & Conditions');
                proceed = false;
            }

            if( proceed ){
              var button_text = that.val(); 
              that.val('Please wait...');
              that.addClass('submitting');

              if( $('html').hasClass('canvas') ){
                $('body').addClass('form-submitting');
              }
              
              $.ajax({
                type: 'POST',
                url: 'thank-you/email.php',
                data: $( ".form-outer-wrap .form_wrapper form" ).serialize(),
                success: function(msg) {
                  $(".form-outer-wrap .form_wrapper form input[type=reset]").trigger("click");
                  window.location.href = msg;
                  that.val( button_text );
                  that.removeClass( 'submitting' );
                }
              });

            }

            return false;


        });

        $("#txt_name, #txt_email, #txt_phone, #txt_postcode, #txt_balance, #txt_interest").mouseover(function() {
            if ($(this).hasClass("error")) {
                $(this).removeClass("error");
                if (ieversion <= 9) {
                    $(this).val($(this).attr("placeholder"));
                } else {
                    $(this).val("");
                }
            }
        });
        /** END: Contact Form top validation */

      },

      generalTweaks: function(){

          $('.home-video a.cta-button').bind('click', function(event) {
              
              app.scrollView('.form_wrapper');
              app.highlight('.form_wrapper');
              $('#txt_name').focus();

              event.preventDefault();
          });
            
          $('.button_container input.button').show();

          if (!("placeholder" in document.createElement("input"))) {
              $("input[placeholder], textarea[placeholder]").each(function() {
                  var val = $(this).attr("placeholder");
                  if (this.value == "") {
                      this.value = val;
                  }
                  $(this).focus(function() {
                      if (this.value == val) {
                          this.value = "";
                      }
                  }).blur(function() {
                      if ($.trim(this.value) == "") {
                          this.value = val;
                      }
                  })
              });

              // Clear default placeholder values on form submit
              $('form').submit(function() {
                  $(this).find("input[placeholder], textarea[placeholder]").each(function() {
                      if (this.value == $(this).attr("placeholder")) {
                          this.value = "";
                      }
                  });
              });
          }
      },

      loadMap: function(){
        GMaps.geocode({
        
            address: $('#gmap').attr('data-address'),
            
            callback: function(results, status) {

                var hue = $(this).attr( 'data-hue' );
                
                if (status == 'OK') {
                    var latlng = results[0].geometry.location;
                    var map;
                    var i = [{
                                  stylers: [{
                                      hue: hue
                                  }, {
                                      saturation: -60
                                  }]
                              }];

                    map = new GMaps({
                        div: '#gmap',
                        lat: latlng.lat(),
                        lng: latlng.lng(),
                        disableDefaultUI: !0,
                        scrollwheel: !1,
                        navigationControl: !1,
                        mapTypeControl: !1,
                        scaleControl: !1,
                        draggable: !1,
                        styles: i,
                        zoom: 11
                    });

                    map.setCenter(latlng.lat(), latlng.lng());
                    
                    map.addMarker({
                        lat: latlng.lat(),
                        lng: latlng.lng()
                    });

                }

           }
        
        });
      },

      highlight: function(sel){
          var el = $(sel);
          var p_l = el.css('padding-left').replace('px','') * 1,
              p_r = el.css('padding-right').replace('px','') * 1,
              p_t = el.css('padding-top').replace('px','') * 1,
              p_b = el.css('padding-bottom').replace('px','') * 1;
          
          el.before("<div/>")
          el.prev()
            .width(el.width() + ( p_l + p_r ) )
            .height(el.height() + ( p_t + p_b ) )
            .css({
              "position": "absolute",
              "background-color": "#ffff99",
              "opacity": ".85",   
              "z-index": "888"   
            })
            .fadeOut(3000);
      },

      scrollView: function (el) {
            $('html, body').animate({
                scrollTop: $(el).offset().top
            }, 500, 'easeInOutExpo');
      },

      gallery_init: function(){

        $('.gallery').magnificPopup({
          delegate: 'a',
          type: 'image',
          closeOnContentClick: false,
          closeBtnInside: false,
          mainClass: 'mfp-with-zoom mfp-img-mobile',
          image: {
            verticalFit: true
          },
          gallery: {
            enabled: true
          },
          zoom: {
            enabled: true,
            duration: 300, // don't foget to change the duration also in CSS
            opener: function(element) {
              return element.find('img');
            }
          }
          
        });

      }
    }

    app.init();
});