<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>Thank You for Contacting Us</title>
        <meta name="robots" content="noarchive,noindex,nofollow">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link type="text/css" rel="stylesheet" href="../css/normalize.min.css">
        <link type="text/css" rel="stylesheet" href="../css/main.css">
        <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">

        <!-- START: Calculators dependencies -->
        <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <script type="text/javascript" src="loan-calculator/js/front/core.min.js"></script>
        <script type="text/javascript" src="loan-calculator/js/front/widget.min.js"></script>
        <script type="text/javascript" src="loan-calculator/js/front/mouse.min.js"></script>
        <script type="text/javascript" src="loan-calculator/js/front/slider.min.js"></script>
        <script type="text/javascript" src="loan-calculator/js/front/button.min.js"></script>
        <link type="text/css" rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/themes/smoothness/jquery-ui.css">
        <link type="text/css" rel="stylesheet" href="loan-calculator/css/front/od-loan-calculator.css">
        <script type="text/javascript" src="loan-calculator/js/front/od-calculator-min.js"></script>
        <script type="text/javascript" src="loan-calculator/js/front/init.js"></script>
        <!-- END: Calculators dependencies -->

    </head>
    <body class="thank-you calculator-app-page">
        <!--[if lt IE 7]>
            <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

        <div class="header-container">
            <div class="wrapper clearfix">
                <div id="logo">
                    <a class="site-logo" href="../" title="Every Loan | ">Every Loan | </a>
                </div>
            </div>
        </div>

        <div class="main-container">

            <div class="widget home-top">
                
                <div class="wrapper clearfix">

                    <div class="home-top">
                        <h1>Thank you for asking us to review your current home loan.</h1>
                        <p>Sandra or one of her friendly advisers will shortly be taking a look at your enquiry and seeing just what savings might be possible.</p>
                        <p>Once they have the information, they will give you a call and let you know what options you have available.</p>
                    </div><!-- end .home-top -->

                </div>

            </div><!-- end .home-top -->

            <div class="widget home-white">
                <div class="wrapper clearfix">
                    
                    <div id="od-loan-calculator-app" class="calculator-app">
                        
                        <div class="calculator-inputs">
                            <div class="fieldset">
                                <h4>Loan Amount</h4>
                                <div class="input-wrapper">
                                    <span class="prefix">$</span>

                                    <?php 
                                    $loan_amount = ( isset($_GET['b']) ) ? $_GET['b'] : 300000;
                                    ?>

                                    <input type="text" class="od-loan-amount" id="od-loan-amount" value="<?php echo $loan_amount; ?>" data-max="999999" data-min="1000" data-increment="1000" data-default="300000">
                                    <div class="slider-loan-amount" id="slider-loan-amount"></div>
                                </div><!-- end .input-wrapper -->
                            </div><!-- end .fieldset -->
                            
                            <div class="fieldset">
                                <h4>Loan Term</h4>
                                <div class="input-wrapper loan-term">
                                    <input type="text" class="od-loan-term" id="od-loan-term" value="25" data-max="30" data-min="1" data-default="25">
                                    <p class="suffix">Years</p>
                                    <div class="slider-loan-term" id="slider-loan-term"></div>
                                    <p class="extra">Paid off: <strong>Feb <span rel="2017">2017</span></strong></p>
                                </div><!-- end .input-wrapper -->
                            </div><!-- end .fieldset -->

                            <div class="fieldset">
                                <h4>Interest p.a</h4>

                                <?php 
                                $loan_interest = ( isset($_GET['i']) ) ? $_GET['i'] : 5;
                                ?>
                                
                                <div class="input-wrapper">
                                    <input type="text" class="od-loan-interest" id="od-loan-interest" value="<?php echo $loan_interest; ?>" data-max="25" data-min="0.15" data-default="5">
                                    <p class="suffix">%</p>
                                    <div class="slider-loan-interest" id="slider-loan-interest"></div>
                                    <!-- <p class="extra">View current <a href="#" target="_blank">interest rates</a></p> -->
                                </div><!-- end .input-wrapper -->
                            </div><!-- end .fieldset -->

                            <div class="fieldset hide">
                                <h4>Balloon Payment</h4>
                                <div class="input-wrapper">
                                    <div id="radio-balloon" class="radio-buttons">
                                        <input type="radio" id="balloon-yes" name="radio-balloon"><label for="balloon-yes">Yes</label>
                                        <input type="radio" id="balloon-no" name="radio-balloon" checked="checked"><label for="balloon-no">No</label>
                                    </div>
                                    <div class="tooltip"><button rel="tooltip" title="Residual value due at the end of the loan" style="border: 0;"></button></div>
                                </div>
                            </div><!-- end .fieldset -->

                            <div class="fieldset balloon-wrap">
                                <div class="input-wrapper">
                                    <input type="text" class="od-loan-balloon" id="od-loan-balloon" value="30" data-max="60" data-min="0" data-default="30">
                                    <p class="suffix">%</p>
                                    <div class="slider-balloon" id="slider-balloon"></div>
                                </div><!-- end .input-wrapper -->
                            </div><!-- end .fieldset -->

                        </div><!-- end .calculator-inputs -->

                        <div class="calculator-results">
                            <div id="od-loan-repayments" class="repayments front">
                                <div class="repayment">
                                    <p class="info_" style="margin: 1.9em 0 0;font-size: 14px;"><strong>NOTE:</strong> Figures in <strong style="color: #009DD1;">blue</strong> is the new payment based on a 3.79% interest rate.</p>
                                    <h4>Repayment is</h4>
                                    <div class="highlight">
                                        <div class="repaymentAmount line-through">
                                            <span class="large">$2,845.</span>
                                            <sup class="large">63</sup>
                                        </div><!-- end .repaymentAmount -->
                                        <div class="repaymentAmount-after">
                                            <span class="large">$2,845.</span>
                                            <sup class="large">63</sup>
                                        </div><!-- end .repaymentAmount -->
                                        <div class="frequency">
                                            <div id="radio-frequency" class="radio-buttons">
                                                <input type="radio" id="balloon-weekly" name="radio-frequency"><label for="balloon-weekly">Weekly</label>
                                                <input type="radio" id="balloon-fortnightly" name="radio-frequency" checked="checked"><label for="balloon-fortnightly">Fortnightly</label>
                                                <input type="radio" id="balloon-monthly" name="radio-frequency"><label for="balloon-monthly">Monthly</label>
                                            </div>
                                        </div><!-- end .frequency -->
                                    </div><!-- end .highlight -->
                                </div><!-- end .repayment -->
                                
                                <div class="schedule">
                                    <h4>View the details of your loan over time</h4>
                                    <div class="drop-shadow">
                                        <ul class="amounts">
                                            <li class="balance right-border">
                                                <span class="title">Balance</span>
                                                <span class="value line-through">$37,008</span>
                                                <span class="value-after">$37,008</span>
                                            </li>
                                            <li class="principal right-border left-border">
                                                <span class="title">Principal</span>
                                                <span class="value">$30,000</span>
                                                <span class="value-after">$30,000</span>
                                            </li>
                                            <li class="interest left-border">
                                                <span class="title">Interest</span>
                                                <span class="value line-through">$7,008</span>
                                                <span class="value-after">$7,008</span>
                                            </li>
                                        </ul>
                                        <ul class="graph">
                                            <li class="graphic">
                                                <div class="image">

                                                    <img src="loan-calculator/images/house-logo1.png" />
                                                    <div class="reflection">
                                                        <img src="loan-calculator/images/house-logo1.png" alt="">
                                                        <div class="overlay"></div>
                                                   </div>
                                                    <div class="opacity-wrapper">
                                                        <div class="opacity" style="height: 100%;"></div>                           
                                                    </div>
                                                </div>
                                            </li>
                                            <li class="term">
                                                <div class="slider-years-elapse" id="slider-years-elapse"></div>
                                                <ol class="ui-slider-scale ui-helper-reset">
                                                    <li style="left:0.00%">
                                                        <span class="ui-slider-label ui-slider-label-show" style="margin-left: -5px;">0</span>
                                                        <span class="ui-slider-tic ui-widget-content" style="display: none;"></span>
                                                    </li>
                                                    <li style="left:50%">
                                                        <span class="ui-slider-label ui-slider-label-show" style="margin-left: -5px;">1</span>
                                                        <span class="ui-slider-tic ui-widget-content" style="display: none;"></span>
                                                    </li>
                                                    <li style="left:100%">
                                                        <span class="ui-slider-label ui-slider-label-show" style="margin-left: -5px;">2</span>
                                                        <span class="ui-slider-tic ui-widget-content" style="display: none;"></span>
                                                    </li>
                                                </ol>
                                            </li>
                                            <li class="information"><label for="term" id="label_handle_term">Years elapsed</label></li>
                                        </ul>
                                    </div><!-- end .drop-shadow -->
                                </div><!-- end .schedule -->
                            </div><!-- end #od-loan-repayments -->

                            <div id="od-loan-features"  class="features back" style="display: none;">
                                <div class="features">
                                    <h4>Key features</h4>
                                    <div class="drop-shadow">
                                        Details goes here...
                                    </div><!-- end .drop-shadow -->
                                </div><!-- end .features -->
                            </div><!-- end #od-loan-features -->
                            <a href="#" class="flip_trigger" title="View features">&nbsp;</a>
                        
                        </div><!-- end .calculator-results -->


                        <!-- <div class="call-to-action">
                            <div class="drop-shadow">
                                <div class="li call">
                                    <span class="icon">&nbsp;</span>
                                    <p>Call <strong>(08) 1234 567</strong></p>
                                </div>

                                <div class="li or"><span class="icon">&nbsp;</span></div>

                                <div class="li we-call">
                                    <a href="#">We'll Call You</a>
                                </div>

                                <div class="li apply-now">
                                    <a href="#">Apply Now</a>
                                </div>
                                <div class="gbst-clear"></div>

                            </div>
                        </div><!-- end .call-to-action -->


                    </div><!-- #od-loan-calculator-app -->
                </div>
            </div>

            <div class="widget home-bottom">
                <div class="wrapper clearfix">
                    <p>*Note: the home loan with the lowest current interest rate is not necessarily the most suitable for your circumstances, you may not qualify for that particular product, and not all products are available in all states and territories. The comparison rate provided is based on a loan amount of $150,000 and a term of 25 years. Warning: The comparison rate applies only to the example or examples given. Different amounts and terms will result in different comparison rates. Costs such as redraw fees or early repayment fees, and costs savings such as fee waivers, are not included in the comparison rate but may influence the cost of the loan. Comparison rate is 4.01%</p>
                    <p>The information contained in this website is of a general nature and does not take in to account your personal needs and requirements. The figures shown on this page does not constitute an offer for finance. Lender policy and conditions, fees and charges will apply. Your full financial situation will need to be reviewed prior to acceptance of any offer or product.</p>
                    
                    <p><a href="#" target="_blank" title="Privacy Policy">Privacy Policy</a></p>

                </div>
            </div>

        </div> <!-- #main-container -->  
  
    </body>
</html>
