jQuery(document).ready(function($){

	$.fn.scrollView = function () {
		return this.each(function () {
			$('html, body').animate({
				scrollTop: $(this).offset().top
			}, 500);
		});
	}

	var app = {

        init: function() {
            app.addIEClasses();
            app.calculator();
            app.generalTweaks();
        },

        addIEClasses: function() {
        	if (/MSIE (\d+\.\d+);/.test(navigator.userAgent)){
				
				var ieversion=new Number(RegExp.$1);
				
				if (ieversion>=9) { $('body').addClass('ie9'); }
				else if (ieversion>=8) { $('body').addClass('ie8'); }
				else if (ieversion>=7) { $('body').addClass('ie7'); }
			}
        },

        loan_amount_refresh: function (){
			$('#od-loan-amount').val( $( "#slider-loan-amount" ).slider("value") );
			$('#od-loan-amount').formatCurrency( { roundToDecimalPlace: 0, symbol: '' } );
			app.od_loan_calculate();
		},

		loan_term_refresh: function (){
			$('#od-loan-term').val( $( "#slider-loan-term" ).slider("value") );
			app.od_loan_calculate();
		},

		paid_off_reresh: function (){
			var paid_off = (parseInt( $('.loan-term .extra strong span').attr('rel') ) * 1) + ( parseInt( $('#od-loan-term').val() ) * 1 ); 
			$('.loan-term .extra strong span').text('');
			$('.loan-term .extra strong span').text(paid_off);
			app.od_loan_calculate();
		},

		loan_interest_refresh: function (){
			$('#od-loan-interest').val( $( "#slider-loan-interest" ).slider("value") );
			$('#od-loan-interest').formatCurrency( { roundToDecimalPlace: 2, symbol: '' } );
			app.od_loan_calculate();
		},

		years_elapse_refresh: function (){
			var highVal = $('#od-loan-term').val();
				_class = ( highVal > 10 ) ? 'hide' : '';

			$("#slider-years-elapse").slider( "option", { "max": highVal, "value": 0 } );
			
			/* update scale */
			var html = '',
				increment = (100 / highVal ),
				spacing = 0,
				show = '',
				space = 0;

			for (var i=0;i<=highVal;i++){
				
				space = spacing.toFixed(0);
				show = ( (space == 0) || (space == 25) || (space == 50) || (space == 75) || (space == 100)  ) ? 'show' : '';
				
				html += '<li class="' + _class + ' ' + show + '" style="left:' + spacing + '%"><span class="ui-slider-label ui-slider-label-show" style="margin-left: -5px;">' + i + '</span><span class="ui-slider-tic ui-widget-content" style="display: none;"></span></li>';
				spacing += increment;
			}

			$('.ui-slider-scale').html('');
			$('.ui-slider-scale').html( html );

			app.od_loan_calculate();

		},

		calc_graphic_refresh: function (){
			var sel = $( "#slider-years-elapse" ).slider("value"),
				max = $('#od-loan-term').val();

			$('.calculator-app .image .opacity-wrapper .opacity').css( 'height', 100 - ( sel / max * 100 ) + '%' );
			app.od_loan_calculate();
		},

		loan_balloon_refresh: function (){
			$('#od-loan-balloon').val( $( "#slider-balloon" ).slider("value") );
			$('#od-loan-balloon').formatCurrency( { roundToDecimalPlace: 0, symbol: '' } );
			app.od_loan_calculate();
		},

		calculator: function(){
			/** START: Loan Amount */
			$( "#slider-loan-amount" ).slider({
				orientation: "horizontal",
			    range: "min",
			    min: parseInt( $('input#od-loan-amount').attr('data-min') ),
			    max: parseInt( $('input#od-loan-amount').attr('data-max') ),
			    value: parseInt( $('input#od-loan-amount').attr('data-default') ),
			    step: parseInt( $('input#od-loan-amount').attr('data-increment') ),
				slide: app.loan_amount_refresh,
				change: app.loan_amount_refresh
			});
			
			$('#od-loan-amount').focusout(function(){
				$( "#slider-loan-amount" ).slider( { value: $('#od-loan-amount').val().replace(',', '') } );
			});
			/** END: Loan Amount */

			/** START: Loan Term */
			$( "#slider-loan-term" ).slider({
				orientation: "horizontal",
			    range: "min",
			    min: parseInt( $('input#od-loan-term').attr('data-min') ),
			    max: parseInt( $('input#od-loan-term').attr('data-max') ),
			    value: parseInt( $('input#od-loan-term').attr('data-default') ),
			    step: 1,
				slide: function( event, ui ) {
					app.loan_term_refresh();
					app.paid_off_reresh();
					app.years_elapse_refresh();
				}, 
				change: function( event, ui ) {
					app.loan_term_refresh();
					app.paid_off_reresh();
					app.years_elapse_refresh();
				}
			});
			$('#od-loan-term').focusout(function(){
				$( "#slider-loan-term" ).slider( { value: $('#od-loan-term').val() } );
			});
			/** END: Loan Term */

			/** START: Loan Interest */
			$( "#slider-loan-interest" ).slider({
				orientation: "horizontal",
			    range: "min",
			    min: parseFloat( $('input#od-loan-interest').attr('data-min') ),
			    max: parseFloat( $('input#od-loan-interest').attr('data-max') ),
			    value: parseFloat( $('input#od-loan-interest').attr('data-default') ),
			    step: 0.05,
				slide: app.loan_interest_refresh,
				change: app.loan_interest_refresh
			});
			$('#od-loan-interest').focusout(function(){
				if( $(this).val() <= 0 ){ $(this).val('0.10'); }	
				$( "#slider-loan-interest" ).slider( { value: $('#od-loan-interest').val() } );
			});
			/** END: Loan Interest */

			/** START: Years Elapse */
			$( "#slider-years-elapse" ).slider({
				orientation: "horizontal",
			    range: "min",
			    max: $('#od-loan-term').val(),
			    value: 0,
			    step: 1,
			    slide: app.calc_graphic_refresh,
				change: app.calc_graphic_refresh
			});
			/** END: Years Elapse */
		
			/** START: Balloon */
			$( ".radio-buttons" ).buttonset();
			$( "#slider-balloon" ).slider({
				orientation: "horizontal",
			    range: "min",
			    min: parseInt( $('input#od-loan-balloon').attr('data-min') ),
			    max: parseInt( $('input#od-loan-balloon').attr('data-max') ),
			    value: parseInt( $('input#od-loan-balloon').attr('data-default') ),
			    step: 1,
			    slide: app.loan_balloon_refresh,
				change: app.loan_balloon_refresh
			});
			
			$("#radio-balloon input").click(function(){
				if( $("input[name='radio-balloon']:checked").attr('id') == 'balloon-yes' ){
					$('.balloon-wrap').fadeIn();
				}
				else{
					$('.balloon-wrap').fadeOut();
				}
				app.od_loan_calculate();
			});
			$('#od-loan-balloon').focusout(function(){
				$( "#slider-balloon" ).slider( { value: $('#od-loan-balloon').val() } );
			});	
			/** END: Balloon */
			

			/** START: Frequency */
			$("#radio-frequency input").click(function(){
				app.od_loan_calculate();
			});
			/** END: Frequency */	

			/* Initialize Defaults */
			$('#od-calc-tabs').easyResponsiveTabs();
			app.od_loan_calculate();
			$('.calculator-app .input-wrapper input[type="text"]').numeric();
			$('.calculator-app .input-wrapper input[type="text"]').on('click', function(){
				$(this).select();
			});
			$('#od-loan-amount').formatCurrency( { roundToDecimalPlace: 0, symbol: '' } );
		
			$('.calculator-app-page .apply-now a').on('click', function(){

				$('#od_apply_amount').val( $('#od-loan-amount').val() );
				$('#od_apply_term').val( $('#od-loan-term').val() );
				$('#od_apply_interest').val( $('#od-loan-interest').val() );

				$('input.apply-now-btn').trigger('click');
				return false;
			});

			$('.calculator-app-page .we-call a').on('click', function(){

				$('#od_callback_request_amount').val( $('#od-loan-amount').val() );
				$('#od_callback_request_term').val( $('#od-loan-term').val() );
				$('#od_callback_request_interest').val( $('#od-loan-interest').val() );

				$('input.callback-request-btn').trigger('click');
				return false;
			});



		},

		/** START: Loan Calculate */
		od_loan_calculate: function () {
		 
		 	var amount = $('#od-loan-amount').val().replace(',', ''),		/*loan amount 	20000*/
		 		apr = $('#od-loan-interest').val(),							/*interest 		7.5*/	
		 		years = $('#od-loan-term').val(), 							/*loan terms 	5*/
		 		balloon = $('#od-loan-balloon').val();						/*balloon       30*/
		 
			 var actv = $("input[name='radio-frequency']:checked").attr('id');
				var mon = 52; 							/*if weekly*/
				if( actv == 'balloon-fortnightly' ){	/*if fortmonthy*/
					mon = 26;
				}
				if( actv == 'balloon-monthly' ){ 		/*if monthly*/
					mon = 12;
				}
			 
			 /* var ir = (parseFloat(apr) / 100) / mon;
			 var np = parseFloat(years) * mon; */
			 var ir = (parseFloat(apr) / 100) / 12;			/*0.0062499999999999995*/
			 var np = parseFloat(years) * 12;				/*60*/
			 var pv = parseFloat(amount) * (-1);			/*-20000*/
			 var fv = parseFloat(amount) * (balloon / 100);	/*6000*/
			 
			if( $("input[name='radio-balloon']:checked").attr('id') == 'balloon-no' ){
				fv = 0;		//reset balloon if OFF
			}
			 
			pmt = ( ir * ( pv * Math.pow ( (ir+1), np ) + fv ) ) / ( 1 - ( Math.pow ( (ir+1), np) ) );

			final_pmt = (pmt * 12) / mon;

			if (isFinite(pmt)) {
				var paymentAmount = final_pmt.toFixed(2);
				$('.repaymentAmount span').html( paymentAmount );
				$('.repaymentAmount span').formatCurrency( { roundToDecimalPlace: 2, symbol: '' } );
				$('.repaymentAmount span').html( "$" + $('.repaymentAmount span').html().split(".")[0] + "." );
				$('.repaymentAmount sup').html( paymentAmount.split(".")[1] );

				/** update loan details */
				var sel_frequency = $("input[name='radio-frequency']:checked").attr('id');
				var frequency = 0; 							
				if( sel_frequency == 'balloon-weekly' ){	/*if weekly*/
					frequency = 52;
				}
				if( sel_frequency == 'balloon-fortnightly' ){	/*if fortmonthy*/
					frequency = 26;
				}
				if( sel_frequency == 'balloon-monthly' ){ 		/*if monthly*/
					frequency = 12;
				}

				var balance =  paymentAmount * ( frequency * ( $('#od-loan-term').val() * 1) ),
					principal = $('#od-loan-amount').val().replace(',', ''),
					interest = (balance - principal) * 1;
						
				$('.schedule .balance .value').text( balance );
				$('.schedule .principal .value').text( principal );
				$('.schedule .interest .value').text( interest );

				$('.schedule .value').formatCurrency( { roundToDecimalPlace: 0, symbol: '$' } );

				if( $('#slider-years-elapse').slider("value") > 0 ){
					app.update_loan_details_elapse_year( amount, apr, years, pmt, $('#slider-years-elapse').slider("value") );
				}
			}
			else {  
				$('.repaymentAmount span').html("$0."); 
				$('.repaymentAmount sup').html("00"); 
			}

			app.od_loan_calculate_after();

			app.od_calc_build_charts( amount, apr, years, pmt, $('#slider-years-elapse').slider("value") );

		},
		/** END: Loan Calculate */

		/** START: Loan Calculate */
		od_loan_calculate_after: function () {
		 
		 	var amount = $('#od-loan-amount').val().replace(',', ''),		/*loan amount 	20000*/
		 		apr = 3.79,							/*interest 		7.5*/	
		 		years = $('#od-loan-term').val(), 							/*loan terms 	5*/
		 		balloon = $('#od-loan-balloon').val();						/*balloon       30*/
		 
			 var actv = $("input[name='radio-frequency']:checked").attr('id');
				var mon = 52; 							/*if weekly*/
				if( actv == 'balloon-fortnightly' ){	/*if fortmonthy*/
					mon = 26;
				}
				if( actv == 'balloon-monthly' ){ 		/*if monthly*/
					mon = 12;
				}
			 
			 /* var ir = (parseFloat(apr) / 100) / mon;
			 var np = parseFloat(years) * mon; */
			 var ir = (parseFloat(apr) / 100) / 12;			/*0.0062499999999999995*/
			 var np = parseFloat(years) * 12;				/*60*/
			 var pv = parseFloat(amount) * (-1);			/*-20000*/
			 var fv = parseFloat(amount) * (balloon / 100);	/*6000*/
			 
			if( $("input[name='radio-balloon']:checked").attr('id') == 'balloon-no' ){
				fv = 0;		//reset balloon if OFF
			}
			 
			pmt = ( ir * ( pv * Math.pow ( (ir+1), np ) + fv ) ) / ( 1 - ( Math.pow ( (ir+1), np) ) );

			final_pmt = (pmt * 12) / mon;

			if (isFinite(pmt)) {
				var paymentAmount = final_pmt.toFixed(2);
				$('.repaymentAmount-after span').html( paymentAmount );
				$('.repaymentAmount-after span').formatCurrency( { roundToDecimalPlace: 2, symbol: '' } );
				$('.repaymentAmount-after span').html( "$" + $('.repaymentAmount-after span').html().split(".")[0] + "." );
				$('.repaymentAmount-after sup').html( paymentAmount.split(".")[1] );

				/** update loan details */
				var sel_frequency = $("input[name='radio-frequency']:checked").attr('id');
				var frequency = 0; 							
				if( sel_frequency == 'balloon-weekly' ){	/*if weekly*/
					frequency = 52;
				}
				if( sel_frequency == 'balloon-fortnightly' ){	/*if fortmonthy*/
					frequency = 26;
				}
				if( sel_frequency == 'balloon-monthly' ){ 		/*if monthly*/
					frequency = 12;
				}

				var balance =  paymentAmount * ( frequency * ( $('#od-loan-term').val() * 1) ),
					principal = $('#od-loan-amount').val().replace(',', ''),
					interest = (balance - principal) * 1;
						
				$('.schedule .balance .value-after').text( balance );
				$('.schedule .principal .value-after').text( principal );
				$('.schedule .interest .value-after').text( interest );

				$('.schedule .value-after').formatCurrency( { roundToDecimalPlace: 0, symbol: '$' } );

				if( $('#slider-years-elapse').slider("value") > 0 ){
					app.update_loan_details_elapse_year_after( amount, apr, years, pmt, $('#slider-years-elapse').slider("value") );
				}
			}
			else {  
				$('.repaymentAmount-after span').html("$0."); 
				$('.repaymentAmount-after sup').html("00"); 
			}

			app.od_calc_build_charts( amount, apr, years, pmt, $('#slider-years-elapse').slider("value") );

		},
		/** END: Loan Calculate */

		update_loan_details_elapse_year: function( amount, interest, terms, pmt, selYearElapse ) {
		
			var maxMonth = terms * 12,
				interestArr = new Array(),
				principalArr = new Array(),
				yearlyInterest = new Array(),
				balanceArr = new Array(),
				total = 0,
				baseInterest = parseFloat( (pmt * maxMonth) - amount),
				baseBalance = parseFloat( pmt * maxMonth ),
				yearlyBalance = parseFloat((baseBalance / terms)),
				principalAmt = 0;

			/* temporary create mortgate table to calculate yearly interest */	
			for(var i=1;i<=maxMonth;i++){
				interestArr[i] = (interest / 100) / 12 * amount;
				principalAmt = pmt - interestArr[i];
				amount -= principalAmt;
				total += interestArr[i];
				if( i > 0 ){
					if( (i % 12) < 1 ){
						yearlyInterest.push( total );
						total = 0;
					}
				}
			}

			/* final balance in selected year */
			var final_interestArr = new Array(),
				baseInterestTemp = baseInterest;
			
			for(var i=0;i<yearlyInterest.length;i++){
				final_interestArr[i] = parseFloat( baseInterestTemp - yearlyInterest[i] );
				baseInterestTemp = final_interestArr[i];
			}	

			var final_balance = ( (100 - ( selYearElapse / terms * 100 )) / 100 ) * baseBalance,
				final_interest = final_interestArr[selYearElapse - 1];


			$('.schedule .balance .value').text( final_balance );
			$('.schedule .principal .value').text( final_balance - final_interest );
			$('.schedule .interest .value').text( final_interest );

			if( selYearElapse == terms ){
				$('.schedule .balance .value').text('0');
				$('.schedule .principal .value').text('0');
				$('.schedule .interest .value').text('0');
			}

			$('.schedule .value').formatCurrency( { roundToDecimalPlace: 0, symbol: '$' } );
			
		},

		update_loan_details_elapse_year_after: function( amount, interest, terms, pmt, selYearElapse ) {
		
			var maxMonth = terms * 12,
				interestArr = new Array(),
				principalArr = new Array(),
				yearlyInterest = new Array(),
				balanceArr = new Array(),
				total = 0,
				baseInterest = parseFloat( (pmt * maxMonth) - amount),
				baseBalance = parseFloat( pmt * maxMonth ),
				yearlyBalance = parseFloat((baseBalance / terms)),
				principalAmt = 0;

			/* temporary create mortgate table to calculate yearly interest */	
			for(var i=1;i<=maxMonth;i++){
				interestArr[i] = (interest / 100) / 12 * amount;
				principalAmt = pmt - interestArr[i];
				amount -= principalAmt;
				total += interestArr[i];
				if( i > 0 ){
					if( (i % 12) < 1 ){
						yearlyInterest.push( total );
						total = 0;
					}
				}
			}

			/* final balance in selected year */
			var final_interestArr = new Array(),
				baseInterestTemp = baseInterest;
			
			for(var i=0;i<yearlyInterest.length;i++){
				final_interestArr[i] = parseFloat( baseInterestTemp - yearlyInterest[i] );
				baseInterestTemp = final_interestArr[i];
			}	

			var final_balance = ( (100 - ( selYearElapse / terms * 100 )) / 100 ) * baseBalance,
				final_interest = final_interestArr[selYearElapse - 1];


			$('.schedule .balance .value-after').text( final_balance );
			$('.schedule .principal .value-after').text( final_balance - final_interest );
			$('.schedule .interest .value-after').text( final_interest );

			if( selYearElapse == terms ){
				$('.schedule .balance .value-after').text('0');
				$('.schedule .principal .value-after').text('0');
				$('.schedule .interest .value-after').text('0');
			}

			$('.schedule .value-after').formatCurrency( { roundToDecimalPlace: 0, symbol: '$' } );
			
		},

		od_calc_build_charts: function (amount, interest, terms, pmt, selYearElapse ){
		
			var maxMonth = terms * 12,
				interestArr = new Array(),
				principalArr = new Array(),
				yearlyInterest = new Array(),
				balanceArr = new Array(),
				total = 0,
				baseInterest = parseFloat( (pmt * maxMonth) - amount),
				baseBalance = parseFloat( pmt * maxMonth ),
				baseAmount = amount,
				yearlyBalance = parseFloat((baseBalance / terms)),
				principalAmt = 0;

			/* temporary create mortgate table to calculate yearly interest */	
			for(var i=1;i<=maxMonth;i++){
				interestArr[i] = (interest / 100) / 12 * amount;
				principalAmt = pmt - interestArr[i];
				amount -= principalAmt;
				total += interestArr[i];
				if( i > 0 ){
					if( (i % 12) < 1 ){
						yearlyInterest.push( total );
						total = 0;
					}
				}
			}

			/* build final array interest */
			var final_interestArr = [],
				final_interestData = [],
				baseInterestTemp = baseInterest,
				final_balanceArr = [],
				final_balanceData = [],
				baseBalanceTemp = baseBalance,
				final_principalArr = [],
				final_principalData = [];
			
			/*final_interestArr[0] = baseInterest;*/
			for(var i=0;i<yearlyInterest.length;i++){
				final_interestArr[i] = parseFloat( baseInterestTemp - yearlyInterest[i] );
				baseInterestTemp = final_interestArr[i];
				baseBalanceTemp -= ( baseBalance / terms );
				final_balanceArr[i] = parseFloat( baseBalanceTemp );
				final_principalArr[i] = parseFloat(final_balanceArr[i] - final_interestArr[i]);
			}
			
			/*final_interestArr.push( baseInterest );	*/
			
			/* rebuilding the interest array */
			for(var i=0;i<=terms;i++){
				if( i == 0 ){
					final_interestData[i] = parseFloat(baseInterest);
					final_balanceData[i] = parseFloat(baseBalance);
					final_principalData[i] = parseFloat(baseAmount);
				}
				else{
					final_interestData[i] = (i==terms) ? 0 : final_interestArr[i-1];
					final_balanceData[i] = (i==terms) ? 0 : final_balanceArr[i-1];	
					final_principalData[i] = (i==terms) ? 0 : parseFloat( final_balanceData[i] - final_interestData[i] );	
				}
			}

			/*console.log( 'Balance: ' + final_balanceData );
			console.log( 'Principal: ' + final_principalData );*/

			// app.od_calc_draw_charts(final_balanceData, final_principalData);
		},

		od_calc_draw_charts: function (balanceFinal, principalFinal){

			/*console.log('Balance: ' + balanceFinal);
			console.log('Principal: ' + principalFinal);*/
	      
	        $('.loan-chart').highcharts({
	            chart: {
	                type: 'area'
	            },
	            title: {
	                text: 'Your Annual Payables'
	            },
	            
	            xAxis: {
	                labels: {
	                    formatter: function() {
	                        return this.value;
	                    }
	                }
	            },

	             yAxis: {
	                title: {
	                    text: 'Payables'
	                },
	                labels: {
	                    formatter: function() {
	                        return '$' + this.value / 1000 +'k';
	                    }
	                }
	            },

	            tooltip: {
	                useHTML: true,
	                headerFormat: '',
	                pointFormat: '<strong>Year: {point.x}</strong><br>{series.name}: ${point.y:,.2f}',
	                footerFormat: ''
	            },

	            plotOptions: {
	                area: {
	                    pointStart: 0,
	                    marker: {
	                        enabled: false,
	                        symbol: 'circle',
	                        radius: 2,
	                        states: {
	                            hover: {
	                                enabled: true
	                            }
	                        }
	                    }
	                }
	            },
	            series: [{
	                name: 'Balance',
	                data: balanceFinal
	            }, {
	                name: 'Principal',
	                data: principalFinal
	            }]
	        });
	    },

	    generalTweaks: function(){
	    	setTimeout(function(){ 
	    		app.years_elapse_refresh();
	    		app.paid_off_reresh();
	    	}, 3000);
	    }

    }

    app.init();

});